<?php
/*********************************************************      
 程序说明：         
    功能说明：按照所选条件查询话务，并删除查询到的话务

    调用关系：调用: header.inc     
              被调用:      
 
    变量说明：

     返回值：无

 作者：黄庆森  2002-05-29     
      
修改注释：      
NO.1      
姓名：        
时间：    
修改说明：
*********************************************************/  
require("../../inc/header.inc");
?>
<base target="_self">
<body leftmargin="15" rightmargin="10" onload="javascript:adjust_frame('down');" onresize="javascript:adjust_frame('down');" style="overflow:hidden;overflow-x:hidden;overflow-y:hidden;">

<?php
adjust_head_frame("down");
adjust_title_head_frame("down");
adjust_title_tail_frame("down");

adjust_content_head_frame("down");	
echo "<br>";

$DEBUG=0;

$showDate = date("d",mktime(0,0,0,date("m"),date("d")-$sel_date,date("Y")));
$timeItem = date("Y-m-d",mktime(0,0,0,date("m"),date("d")-$sel_date,date("Y")));
$showDate = omc_keep_length($showDate,0,2);
$db								=	$csta_db;
$sort_field						=	'csta_datetime';							//排序所依赖的字段名
$sort_direction					=	'DESC';										//排序顺序
$number_records_to_display		=	200;										//每页纪录数
$time_column					=	"csta_datetime";							//时间列名
$sysType						=	isset($sysType)?$sysType:$DEFAULT_SYS;		//设备名
$csta_type						=	isset($csta_type)?$csta_type:'csta-h';	
$table_name						=	omc_table_name($sysType,$csta_type);		//取得数据库名
if($sysType == 'CNF' || $sysType == 'VPS'){
	$table_name="vpsDetail";	
}
$table_name						=   $table_name."_".$showDate;
$query_type						=	isset($query_type)?$query_type:'0';			//取得查询类型
$where							=	isset($where) ? urldecode($where) : '';		//传回变量后解url码
$where							=	isset($where) ? stripslashes($where) : '';	//解除一些'/'

$sysIdFiled="key_sys_id";
$subsysIdFiled="key_subsys_id";
//echo "$table_name<br>";
$sel_field_list= @mysql_list_fields($db,$table_name);
if(!$sel_field_list)
{
	echo "<br>$strNotFindRecord.";
	exit();
}

//删除所查询的内容
if($delete)
{    
      $sql_query="DELETE FROM $table_name ".$where;		      
      $sql_query=urlencode($sql_query);		//将该字符串编码，适合传递
      echo " <meta http-equiv=\"refresh\" content=\"0; url=./csta_del.php?del_sql=$sql_query\"> ";
}//endif($delete)

//跳转到指定页面
if($go)
{
	$initial_record = $number_records_to_display * ( $gotopage - 1 );
	if($initial_record >= $number_of_records || $initial_record < 0)
	{
		echo "<script language=\"javascript\"> ";
		echo "alert('";
		echo $strInputPageNumberHasAMistake;
		echo "'); ";  
		echo "</script>";
		$initial_record = 0;
	}
}//endif($go)

// 初始化变量
if (!$number_of_records)
{
	//跳转页面不进行初始化
	//-------确定日期范围-----
	if($sel_date<0){
		$bgn_date=date("Y-m-d H:i:s", mktime(0,0,0,date("m"),date("d")-6,date("Y")));
		$end_date=date("Y-m-d H:i:s", mktime());
	}elseif($sel_date>0){
		if($sel_time){
			$bgn_date=date("Y-m-d H:i:s", mktime($hou_1,$mid_1,$sec_1,date("m"),date("d")-$sel_date,date("Y")));
			$end_date=date("Y-m-d H:i:s", mktime($hou_2,$mid_2,$sec_2,date("m"),date("d")-$sel_date,date("Y")));
		}else{
			$bgn_date=date("Y-m-d H:i:s", mktime(0,0,0,date("m"),date("d")-$sel_date,date("Y")));
			$end_date=date("Y-m-d H:i:s", mktime(0,0,0,date("m"),date("d")-$sel_date+1,date("Y")));
		}
	}else{
		if($sel_time){
			$bgn_date=date("Y-m-d H:i:s", mktime($hou_1,$mid_1,$sec_1,date("m"),date("d")-$sel_date,date("Y")));
			$end_date=date("Y-m-d H:i:s", mktime($hou_2,$mid_2,$sec_2,date("m"),date("d")-$sel_date,date("Y")));
		}else{
			$bgn_date=date("Y-m-d H:i:s", mktime(0,0,0,date("m"),date("d"),date("Y")));
			$end_date=date("Y-m-d H:i:s", mktime());
		}
	}

	//where语句的类型限制组成部分$w0
	$w0=" key_type<17 ";

	//where语句的时间限制组成部分$w1
	$w1=" AND $time_column > '$bgn_date'  AND  $time_column <= '$end_date'";  
	
	//where语句的系统id限制组成部分$w2
	if($sys_num!='-1' && $sys_num!=''){
		$w2=" AND $sysIdFiled=$sys_num";
	}

	//where语句的子系统id限制组成部分$w3
	if($subsys_num!='-1' && $subsys_num!=''){
		$w3=" AND $subsysIdFiled=$subsys_num";
	}

	//where语句的E1id限制组成部分$w4
	if($e1_num!='-1' && $e1_num!='' && $query_type<5 && $query_type>0){
		$w4=" AND key_e1_tg=$e1_num";
	}

	//where语句的呼叫类型限制组成部分$w5
	if($query_type>0)
	{
		$w5=" AND key_type=$query_type ";
	}

	if($sysType == 'VPS'){
		$w6=" AND key_type=1 ";
	}elseif($sysType == 'CNF'){
		$w6=" AND key_type=2 ";

	}
	//合成查询语句$where
	$where=" WHERE ".$w0.$w1.$w2.$w3.$w4.$w5.$w6;
	//echo "$where<br>";
	
	$initial_record = 0;//初始纪录号

	$str_sql_all="SELECT count(*) as number_of_records FROM $table_name ".$where;
	if ($DEBUG) echo "<br>str_sql_all=$str_sql_all";
	$csta_result= mysqli_query($pubConn,$str_sql_all);
	$record = mysql_fetch_object($csta_result);
	$number_of_records = $record->number_of_records;
	if(!$number_of_records)
	{      
		echo $strNotFindRecord;
		exit();
	} //endif(!$number_of_records)
}//endif(!$number_of_records)

$page_num= ($initial_record / $number_records_to_display) +1;				//该页页码
$all_page_num= ceil($number_of_records / $number_records_to_display);		//总页码
//插入日志
if($page_num <=1)
{
	insertLog("CSTA data query",2,1);
}
//下面是控制分页显示，传递变量
if ($number_of_records >= 1)
{
	$next_index = $initial_record + $number_records_to_display;				//本页的结束数目
	if ($next_index > $number_of_records)
	{
		$next_index = $number_of_records;
	}
	$t1 = $initial_record + 1;
	$prev_index = $initial_record - $number_records_to_display;
	if($prev_index < 0)
	{
		$prev_index = 0;
	} 
}  
$show_initial_record=$initial_record+1;
?>

<script LANGUAGE="JavaScript">  
function goto(){      
		var url_1,url_2,url_3,url_4,url_5,initial_record,gotopage,number_records_to_display,where,number_of_records,sort_field,sel_date;
		gotopage=document.selectform.gotopage.value;
		number_records_to_display=<?php echo $number_records_to_display; ?>;
		where=document.selectform.where.value;
		initial_record=number_records_to_display*(gotopage-1);
		number_of_records=document.selectform.number_of_records.value;
		sort_field=document.selectform.sort_field.value;
		sel_date=document.selectform.sel_date.value;
		url_1='<?php echo $PHP_SELF;?>?initial_record='+initial_record;
		url_2="&where="+where;
		url_3="&number_of_records="+number_of_records;
		url_4="&sort_field="+sort_field;
		url_5="&sel_date="+sel_date;
		window.location.href=url_1+url_2+url_3+url_4+url_5;     
}      
</script>

<table  border="1" width="100%" cellpadding="2" cellspacing="0" bordercolor="#666666" bordercolordark="#FFFFFF" bgcolor="#FFFFFF">   
  <tr>   
    <td width="50%">
	<?php
	echo "$strDisplayRecords:<FONT color=#0000ff>&nbsp;$show_initial_record - $next_index</FONT>, ($strTotalRecords:$number_of_records )&nbsp;&nbsp;";  
	?>
    </td>   
    <td width="10%" align="center">&nbsp; 
	<?php     
	// NEW: Display a link for the previous set of records.
	if ($initial_record != 0)
	{
		$t1 = "initial_record=$prev_index&number_of_records=$number_of_records&sys_id=$sys_id&sysType=$sysType&csta_type=$csta_type&query_type=$query_type";
		$where=urlencode($where); //将该字符串编码，适合传递
		echo "<a href=\"$PHP_SELF?$t1&where=$where&end_date=$end_date&bgn_date=$bgn_date&sel_date=$sel_date\">";
		echo "<IMG alt=\"$strPreviousPage\" src=\"../../images/pre_page.gif\"    border=\"0\"></a>&nbsp;"; 
	}

  
	// NEW: Display a link for the next set of records.
	if ($next_index != $number_of_records && $number_of_records >0 && $number_of_records > $number_records_to_display )
	{
		$t1 = "initial_record=$next_index&number_of_records=$number_of_records&sys_id=$sys_id&sysType=$sysType&csta_type=$csta_type&query_type=$query_type";
		$where=urlencode($where); //将该字符串编码，适合传递
		echo "<a href=\"$PHP_SELF?$t1&where=$where&end_date=$end_date&bgn_date=$bgn_date&sel_date=$sel_date\">";
		echo "<IMG alt=\"$strNextPage\"  src=\"../../images/next_page.gif\"   border=\"0\"></a>";
	}
	?> 
   </td>  

<form name="selectform" method="post" action="<?php echo "$PHP_SELF?initial_record=$prev_index&number_of_records=$number_of_records&where=$where&sys_id=$sys_id&sysType=$sysType&csta_type=$csta_type&query_type=$query_type";?>" > 
    <td width="20%" align="center"><?php echo $strTopage;?>
  <select size="1" name="gotopage" onChange="javascript:goto()">       
	<?php
	for($i=1;$i<=$all_page_num;$i++)
	{
		if($i== $page_num ){
			echo "<option  selected  value=\"$i\" >$i</option>";
		}else{
			echo "<option value=\"$i\">$i</option>";
		}
	}
?>
      </select>
    </td>  
	<!--
    <td width="10%" align="center"><input type="submit" value="<?php echo $strDeleteQueryResult;?>" name="delete" ></td>  
	-->
 </tr>
 </table>
 
<?php 
 $where = isset($where) ? urldecode($where) : '';	//传回变量后解url码
 $where = isset($where) ? urldecode($where) : '';	//传回变量后解url码
 $where = isset($where) ? stripslashes($where) : '';	//解除一些'/'

 //查询数据并放入myrows数租中。

 //合成sql语句
 $order=" ORDER BY $sort_field   $sort_direction";
 $limit=" LIMIT $initial_record, $number_records_to_display";
 
 $csta_sql="SELECT * FROM $table_name"."\n".$where.$order.$limit; 
//echo "$csta_sql<br>";
 $csta_result = mysqli_query($pubConn,$csta_sql);
 $csta_rows = mysqli_fetch_array($csta_result);

?>
<table border="1" width="100%" cellpadding="2" cellspacing="0" bordercolor="#666666" bordercolordark="#FFFFFF" bgcolor="#FFFFFF" >   
  <tr bgcolor="#E6E6E6">   
    <td colspan="3" align="center" ><?php echo $strEquipment; ?>
    </td>  
    <td colspan="9" align="center" >
    <?php 
	echo "{$defineQueryType[$query_type][name]}"; 
    ?>
    </td>  
    <td align="center" >&nbsp; </td> 
  </tr>  
   <tr bgcolor="#E6E6E6">  
    <td align="center"><?php echo $strSystem; ?></td>  
    <td align="center"><?php echo $strType; ?></td>  
    <td align="center">TG</td>  
    <td align="center"><?php echo "Attempt"; ?></td>  
    <td align="center"><?php echo "Success"; ?></td>  
    <td align="center"><?php echo "Call Deny"; ?></td>  
    <td align="center"><?php echo "Net Busy"; ?></td>
    <td align="center"><?php echo "Caller clear"; ?></td>  
    <td align="center"><?php echo "Sub Busy"; ?></td>  
    <td align="center"><?php echo "No Answer"; ?></td>  
    <td align="center"><?php echo "Signal Error"; ?></td>  
    <td align="center"><?php echo "Total Call Duration"; ?></td>
    <td align="center"><?php echo "$strTime($timeItem)"; ?></td> 
  </tr> 
  <?php
	do{
  ?> 
		<tr>
		<td align="center"><?php
		$csta_rows[0]=$csta_rows[$sysIdFiled];
		$csta_rows[1]=$csta_rows[$subsysIdFiled];
		echo "$sysType"."_"."$csta_rows[0]_$csta_rows[1]";?></td>
		<td align="center">
		<?php
			echo $csta_rows[2];
		?>
		</td>
		<td align="center">
		<?php
		if($sysType==$DEFAULT_SYS){
			echo $csta_rows[3];
		}else{
			echo "--";
		}
		?>
		</td>
		<td align="center"><?php echo "$csta_rows[Attempt]";?></td>
		<td align="center"><?php echo "$csta_rows[Success]";?></td>
		<td align="center"><?php echo "$csta_rows[CallDeny]";?></td>
		<td align="center"><?php echo "$csta_rows[NetBusy]";?></td>
		<td align="center"><?php echo "$csta_rows[CallerClear]";?></td>
		<td align="center"><?php echo "$csta_rows[SubBusy]";?></td>
		<td align="center"><?php echo "$csta_rows[NoAnswer]";?></td> 
		<td align="center"><?php echo "$csta_rows[SignalErr]";?></td> 
		<td align="center"><?php echo "$csta_rows[Duration]";?></td> 
		<td align="center">
		<?php 
			$tmpArray = explode(" ",$csta_rows[csta_datetime]);
			echo "$tmpArray[1] ";
		?>
		</td>
		</tr>
  <?php 
	}while($csta_rows= mysqli_fetch_array($csta_result));
  ?>
<input type="hidden" name="where" value="<?php echo $where; ?>">
<input type="hidden" name="number_of_records" value="<?php echo $number_of_records; ?>">
<input type="hidden" name="sort_field" value="<?php echo $sort_field; ?>">
<input type="hidden" name="sel_date" value="<?php echo $sel_date; ?>">
</form>
</table>
<?php
adjust_content_tail("down");
?>
</body>
</html>